Subject: Re: bug#73663: 29.4; indirect-buffer behaviour is not correct

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Oct 2024 19:22:44 +0300

> From: PENG Kevin <[email-masked]>
> Date: Sun, 06 Oct 2024 23:42:41 +0800
> 
> I have a .svg file want to edit in nXML-mode, and at the same time
> want to preview the image with image-mode.
> So i create one indirect-buffer by using =clone-indirect-buffer=,
> then a new buffer is created, and i change the major-mode of
> the indirect-buffer to image-mode, the original buffer's preview
> changed to image-mode, but its major-mode is still nXML-mode.

I guess that's because major-mode-suspend, which image-mode calls to
be able to switch back to the original major mode, doesn't support
indirect buffers.  Stefan, am I right?  Can this be fixed?

Regardless, I don't really understand why you need a separate indirect
buffer in this case: just typing "C-c C-c" will toggle the buffer
between nXML mode and image mode, so previewing is simple and needs no
other buffer.  Am I missing something?